I try to update my basemaps by automating as much as possible.
In each of my drawings I insert a list of welded parts. So I'm looking to insert a list of welded parts directly into my model drawing, but when I insert it I can't save my model anymore. How can I do this?
You can use a welded parts list to add a table similar to a bill of materials for welded structures, resulting from material removals.
When the first weld feature is inserted into a part, the Bulkhead folder is renamed Welded Parts List to indicate which objects to include in the welded parts list. The icon indicates that the list of welded parts needs to be updated. The icon indicates that the list of welded parts is up to date.
Items in the Welded Parts List must be listed at the part level in the Part Level Weld List folder.
The option to automatically organize the entities in the welded parts list is enabled by default in new welded constructions. To disable it, right-click Welded Parts List and deactivate Automatically Create Welded Parts Lists.
Welded parts lists use the units of the drawing for accuracy. However, the display of right-hand zeros in the welded parts list table is affected by the Right Zeros setting in Tools > Options > Document Properties > General > Tables . In some existing tables, you need to replace the welded parts list with a new welded parts list to see this change. Also, if you change this setting, you need to rebuild the drawing.
Although it is automatically generated, you determine when the welded part list should be updated in a welded part document. This allows you to make many changes and then update it once.
gt22 thank you for your answer, but I know the principle of welded parts lists. I'm looking to insert this list into my drawing document template, so that it's already inserted when I import my part into a new drawing, instead of importing my welded part list table while I'm drawing.
As GT22 told you, the welded parts list depends on the model attached to a view and is considered an annotation.
If you know how to code in VBA, it is possible to launch a macro (when opening SW) that detects the type of document open, and that executes certain actions (such as adding a list of welded parts, annotations, ...)
Otherwise, do it manually by setting up a good welded parts list template.
I agree with Cleclancher, even if the addition of the list of welded parts is an anotation related to the part in question, it would have seemed possible to me to link the table model to the base plan (that's the point, to make a plan to cut parts!)
Already there is no sticker and the orientation of the profiles is not easy to assemble with 3d!
In short, solidworks easily allows many competitors to be better at boilermaking and sheet metal work where the drawing can really be improved.
I respect, cleclancher, have you found a solution?
Here is a piece of macro that allows you to automatically insert the list of welded parts, of course you have to have a view already placed on the plan.
You need to change the lines "nameConfig = "Defect<Weld Stock>"" and "nameTemplate = "C:\Model_SW\welded parts list.sldwldtbt"" to put your config name and template path of the welded parts list.
Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swDrawing As SldWorks.DrawingDoc
Dim swView As View
Dim swTable As SldWorks.TableAnnotation
Dim nameConfig As String
Dim nameTemplate As String
Sub main()
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swDrawing = swModel
nameConfig = "Défaut<Brut de soudage>" 'ligne à modifier
nameTemplate = "C:\Model_SW\liste des pièces soudées.sldwldtbt" 'ligne à modifier
Set swView = swDrawing.GetFirstView
Set swView = swView.GetNextView
Set swTable = swView.InsertWeldmentTable(False, 0, 0, swBOMConfigurationAnchor_BottomLeft, nameConfig, nameTemplate)
End Sub
Thank you very much D.Roger, it works perfectly. Would you have a macro to do the same for a BOM on an assembly file, with the possibility to choose the table options for example for parts only or list in tabs.
I'm going to have something to suggest to you, but before that, it might be good to create another question to avoid mixing up the topics and thus facilitate the search for solutions to given problems.